#!/usr/bin/env python
import os,sys

#------------------------------------+ 
#  MOMAP File Conversion Utility     |
#  Website: http://www.momap.net.cn  |
#------------------------------------+

if len(sys.argv) == 1:
	print("Usage: gjf2xyz.py input.gjf")
	sys.exit(1)

Input = sys.argv[1]
Output = os.path.splitext(Input)[0] + '.xyz'

print("Converting %s..." % Input)

out_lines = ""
out_nline = 0

if os.path.isfile(Input):
	with open(Input) as f:
		lines = f.readlines()

		ntot = len(lines)

		# Find data beginning line
		nbeg = 0
		for line in lines:
			if len(line.strip()) > 0:
				nbeg += 1
			else:
				break
		nbeg += 4

		# Find the number of atom lines
		# Note: The block is limited by the tailing empty space
		ndat = 0
		for i in range(nbeg, ntot):
			if len(lines[i].strip()) > 0:
				ndat += 1
			else:
				break

		out_nline = ndat

		# print("Total line count: %d" % ntot)
		# print("Title line count: %d" % nbeg)
		print("Data line count: %d" % ndat)

		for i in range(nbeg, nbeg+ndat):
			out_lines += lines[i]

with open(Output, 'w') as f:
	f.write("%d\n" % out_nline)
	f.write("gjf2xyz.py converted file\n")
	f.write(out_lines)

print("To %s done." % Output)

