#!/usr/bin/env python
import os,sys

#------------------------------------+
#  MOMAP File Conversion Utility     |
#  Website: http://www.momap.net.cn  |
#------------------------------------+

if len(sys.argv) == 1:
    print("Usage: qchem_final_xyz.py qchem.out")
    sys.exit(1)

Input = sys.argv[1]
Output = os.path.splitext(Input)[0] + '.xyz'

print("Finding final coordinates...")

key = "Standard Nuclear Orientation (Angstroms)"

out_lines = ""
out_nline = 0

if os.path.isfile(Input):
    with open(Input) as f:
        lines = f.readlines()

        ntot = len(lines)

        l_start = 0
        l_end = 0

        for i in range(ntot-1, 0, -1):
            if key in lines[i]:
                l_start = i + 3
                print("  start at line %d" % l_start)
                break

        if l_start:
            for i in range(l_start, ntot):
                if "------" in lines[i]:
                    l_end = i
                    print("  end at line %d" % l_end)
                    break

        if l_start and l_end:
            for i in range(l_start, l_end):
                # print("%s" % lines[i].rstrip())
                out_lines += lines[i][6:].lstrip()

out_nline = l_end - l_start
print("  output lines: %d" % out_nline)

with open(Output, 'w') as f:
	f.write("%d\n" % out_nline)
	f.write("qchem final coordinates\n")
	f.write(out_lines)

print("Done.")

